EDIT - bug #8533

missing collector and fieldnumber in abcd import
09/10/2019 11:28 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.11

Severity: critical Found in Version:

Description

when importing specimen/dna as associated units where the gathering event information is not complete in one of the derived units
the already existing value should not be overwritten by a null value.

Related issues:
Related to EDIT - feature request #8549: while abcd import problems should be... New

Associated revisions

Revision a3a55498 - 09/10/2019 12:05 PM - Katja Luther

ref #8533: check for all fields in gatheringEvent whether it is set already

Revision 9b1e9a85 - 09/19/2019 11:41 AM - Katja Luther
ref #8533: minor

History

#1 - 09/17/2019 10:56 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

problems like this should be handled more in detail and the user should be informed about this problems. Therefore | create a new ticket and close
this one (#8549).

Please review whether the problem of the missing information is fixed.

#2 - 09/17/2019 10:56 AM - Katja Luther
- % Done changed from 0 to 60

#3 - 09/17/2019 11:03 AM - Katja Luther
- Related to feature request #8549: while abcd import problems should be logged more in detail added

#4 - 09/18/2019 03:20 PM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

| attached the two sample file: one is the DNA unit the other one the associated tissue sample.

| tested on nightly rem_conf_am and searched for DB 40073 in the specimen import search. It imported the DnaSample and the TissueSample
correctly but it did neither import the author (Hutchison) nor the collecting number (1980) which are both available in the tissue sample abcd.

#5 - 09/18/2019 03:22 PM - Patrick Plitzner
- File dna_sample.xml added

- File tissue_sample.xml added

#6 - 09/18/2019 04:34 PM - Katja Luther
- File picture953-1.png added
https://dev.e-taxonomy.eu/redmine/issues/8549

the collector problem is solved, but the fieldnumber is not delivered. | debugged and also looked at the output and there is no fieldnumber (see the
attached file).

#7 - 09/18/2019 04:37 PM - Katja Luther

ah there is another problem, the gathering agent for the tissue is Hutchison and for the tissue sample Lautner

#8 - 09/18/2019 04:43 PM - Patrick Plitzner

Katja Luther wrote:

the collector problem is solved, but the fieldnumber is not delivered. | debugged and also looked at the output and there is no fieldnumber (see
the attached file).

The field number is in the tissue sample file (CollectorsFieldNumber)

<abcd2l:Gathering>
<abcd2l:DateTime>
<abcd2l:DateText>18.08.1957</abcd21l:DateText>
</abcd21:DateTime>
<abcd21l:Agents>
<abcd2l:GatheringAgentsText>Hutchison</abcd21l:GatheringAgentsText>
</abcd21:Agents>
<abcd2l:LocalityText>
Junin. Prov. Tarma, Chanchamayotal zwischen San Ramén und La Merced an vertikalen Felsen oberhalb der StraBe.
</abcd21l:LocalityText>
<abcd2l:Country>
<abcd21:Name>Peru</abcd21 :Name>
<abcd21:IS03166Code>PE</abcd21:IS03166Code>
</abcd21:Country>
<abcd21:NamedAreas>
<abcd2l:NamedArea>
<abcd2l:AreaClass language="en">Continent</abcd2l:AreaClass>
<abcd2l:AreaName language="en">Middle and South America</abcd2l:AreaName>
</abcd21:NamedArea>
</abcd21:NamedAreas>
<abcd21l:Notes language="en" />
</abcd21:Gathering>
<abcd2l:CollectorsFieldNumber>1980</abcd21l:CollectorsFieldNumber>
<abcd2l:RecordURI>http://herbarium.bgbm.org/object/BGT0023581</abcd21:RecordURI>

#9 - 09/18/2019 04:44 PM - Patrick Plitzner

Katja Luther wrote:

ah there is another problem, the gathering agent for the tissue is Hutchison and for the tissue sample Lautner

Hmm, | guess we have to move this to another issue for discussion

#10 - 09/18/2019 04:46 PM - Katja Luther

Patrick Plitzner wrote:
Katja Luther wrote:

the collector problem is solved, but the fieldnumber is not delivered. | debugged and also looked at the output and there is no fieldnumber
(see the attached file).

The field number is in the tissue sample file (CollectorsFieldNumber)

<abcd2l:Gathering>
<abcd2l:DateTime>
<abcd21l:DateText>18.08.1957</abcd21:DateText>
</abcd21:DateTime>
<abcd21l:Agents>
<abcd2l:GatheringAgentsText>Hutchison</abcd21l:GatheringAgentsText>
</abcd21:Agents>
<abcd2l:LocalityText>
Junin. Prov. Tarma, Chanchamayotal zwischen San Ramén und La Merced an vertikalen Felsen oberhalb der Stra
Re.</abcd21l:LocalityText>
<abcd2l:Country>
<abcd21l:Name>Peru</abcd21 :Name>
<abcd21:IS03166Code>PE</abcd21:IS03166Code>
</abcd21:Country>
<abcd21l:NamedAreas>
<abcd2l:NamedArea>
<abcd2l:AreaClass language="en">Continent</abcd2l:AreaClass>
<abcd2l:AreaName language="en">Middle and South America</abcd2l:AreaName>
</abcd21:NamedArea>
</abcd21 :NamedAreas>
<abcd21l:Notes language="en" />
</abcd21:Gathering>
<abcd2l:CollectorsFieldNumber>1980</abcd21l:CollectorsFieldNumber>
<abcd21l:RecordURI>http://herbarium.bgbm.org/object/BGT0023581</abcd21:RecordURI>

| know, but if you have a look at the file attached, there is only "Gathering" and then "RecordURI", no CollectorsFieldNumber

#11 - 09/18/2019 04:47 PM - Katja Luther
- Status changed from Feedback to In Progress

- Target version changed from Release 5.10 to Release 5.11
| think we have to move this to 5.11

#12 - 09/18/2019 05:04 PM - Patrick Plitzner
- Severity changed from normal to critical
ok, this seems to be a bigger problem.
If you compare your debug output with the two files it seems like it has mixed the information together.
For example
<abcd2l:AreaName language="en">North America</abcd2l:AreaName>

comes from the DnaSample and

<abcd21:RecordURI>http://herbarium.bgbm.org/object /BGT0023581</abcd21:RecordURI>
comes from the tissue sample.

Maybe the Abcd206XMLFieldGetter does not reset its state correctly when handling a new unit and instead just merges all the information it can get
together.

#13 - 09/19/2019 09:42 AM - Katja Luther
- File picture715-1.png added
Patrick Plitzner wrote:
ok, this seems to be a bigger problem.
If you compare your debug output with the two files it seems like it has mixed the information together.
For example
<abcd21l:AreaName language="en">North America</abcd2l:AreaName>
comes from the DnaSample and
<abcd21l:RecordURI>http://herbarium.bgbm.org/object/BGT0023581</abcd21:RecordURI>
comes from the tissue sample.
Maybe the Abcd206XMLFieldGetter does not reset its state correctly when handling a new unit and instead just merges all the information it can

get together.

| checked the two files again and the tissue sample has UnitID B GT 0023581 and the associated unit of the dnaSample is B GT 0023612, so they do
not belong together.
and the field unit of B GT 0023612 has no fieldNumber:

<abcd21l:Unit>
<abcd21:UnitGUID>http://herbarium.bgbm.org/object/BGT0023612</abcd21:UnitGUID>
<abcd21l:SourcelInstitutionID>B</abcd21:SourcelnstitutionID>
<abcd2l:SourceID>Herbarium Berolinense</abcd2l:SourceID>
<abcd21:UnitID>B GT 0023612</abcd21:UnitID>
<abcd2l:Identifications>
<abcd2l:Identification>
<abcd2l:Result>
<abcd2l:TaxonIdentified>
<abcd2l:HigherTaxa>
<abcd2l:HigherTaxon>
<abcd21l:HigherTaxonName>CACTACEAE</abcd21:HigherTaxonName>
<abcd2l:HigherTaxonRank>familia</abcd21l:HigherTaxonRank>
</abcd21:HigherTaxon>
</abcd21:HigherTaxa>
<abcd21l:ScientificName>
<abcd21l:FullScientificNameString>Selenicereus dorschianus Ralf Bauer
</abcd21l:FullScientificNameString>
<abcd21:NameAtomised>
<abcd2l:Botanical>
<abcd21l:GenusOrMonomial>Selenicereus</abcd21l:GenusOrMonomial>
<abcd2l:FirstEpithet>dorschianus</abcd2l:FirstEpithet>
<abcd2l:AuthorTeam>Ralf Bauer</abcd2l:AuthorTeam>
</abcd21:Botanical>
</abcd21 :NameAtomised>
</abcd21l:ScientificName>
</abcd2l:TaxonIdentified>
</abcd21:Result>
<abcd2l:PreferredFlag>1</abcd2l:PreferredFlag>
</abcd2l:Identification>
</abcd2l:Identifications>
<abcd21l:RecordBasis>PreservedSpecimen</abcd21l:RecordBasis>
<abcd21:KindOfUnit>tissue</abcd21:KindOfUnit>
<abcd2l:Gathering>
<abcd2l:DateTime>
<abcd2l:DateText>04.02.2001</abcd21:DateText>
</abcd21l:DateTime>
<abcd2l:Agents>
<abcd21l:GatheringAgentsText>Lautner</abcd2l:GatheringAgentsText>
</abcd21:Agents>
<abcd2l:LocalityText>
Jalisco. zwischen Conception de Buenas Aires und Union de Guadelupe an der Jal 410.</abcd2l:LocalityText>
<abcd2l:Country>
<abcd21l:Name>Mexico</abcd21:Name>
<abcd21:I1S03166Code>MX</abcd21:1S03166Code>
</abcd21:Country>
<abcd2l:NamedAreas>
<abcd21:NamedArea>
<abcd2l:AreaClass language="en">Continent</abcd2l:AreaClass>
<abcd21l:AreaName language="en">North America</abcd2l:AreaName>
</abcd21 :NamedArea>
</abcd21:NamedAreas>
<abcd2l:Altitude>
<abcd2l:MeasurementOrFactAtomised>
<abcd2l:LowerValue>2150 m</abcd21l:LowerValue>
</abcd21:MeasurementOrFactAtomised>
</abcd21l:Altitude>
<abcd2l:Notes language="en" />
</abcd21:Gathering>
<abcd21l:RecordURI>http://herbarium.bgbm.org/object/BGT0023612</abcd21:RecordURI>
</abcd21:Unit>

#14 - 09/19/2019 09:45 AM - Katja Luther
- File picture607-1.png added

the imported field unit for B GT 0023581 has collector and fieldNumber see attached file (picture607-1.png)

#15 - 09/19/2019 09:45 AM - Katja Luther
- File deleted (picture715-1.png)

#16 - 09/30/2019 01:24 PM - Katja Luther

- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Patrick Plitzner

as the used example was about two different field units | close this ticket. Please make a last review for closing the ticket.

#17 - 09/30/2019 01:41 PM - Patrick Plitzner

- File tissue_sample.xml added

#18 - 09/30/2019 01:43 PM - Patrick Plitzner

- File deleted (tissue_sample.xml)

#19 - 09/30/2019 01:47 PM - Patrick Plitzner

| uploaded the correct tissue sample file and will test again.

#20 - 11/05/2019 01:24 PM - Patrick Plitzner

- Target version changed from Release 5.11 to Release 5.12

#21 - 11/05/2019 03:12 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.11

Why did you move it to 5.12. It has status resolved and should therefore be reviewed in 5.11 milestone. If there is a reason for moving please mention

it.

#22 - 11/07/2019 09:58 AM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 60 to 100

Why did you move it to 5.12. It has status resolved and should therefore be reviewed in 5.11 milestone. If there is a reason for moving please

mention it.

Sorry, | overlooked the content of this ticket.

Tested the import again and the FieldUnit data is now correctly imported.
